package com.alibaba.druid.sql.dialect.spark.ast.expr;

import com.alibaba.druid.sql.ast.SQLExpr;
import com.alibaba.druid.sql.ast.SQLObject;
import com.alibaba.druid.sql.dialect.spark.ast.SparkSqlExprImpl;
import com.alibaba.druid.sql.dialect.spark.visitor.SparkVisitor;
import java.util.ArrayList;
import java.util.List;

public class SparkValuesExpr extends SparkSqlExprImpl {
   SQLExpr typeExpr;
   List<SQLExpr> values = new ArrayList();

   public List<SQLExpr> getValues() {
      return this.values;
   }

   public void setValues(List<SQLExpr> values) {
      this.values = values;
   }

   public void addValue(SQLExpr expr) {
      this.values.add(expr);
   }

   public SQLExpr getTypeExpr() {
      return this.typeExpr;
   }

   public void setTypeExpr(SQLExpr typeExpr) {
      this.typeExpr = typeExpr;
   }

   public List<SQLObject> getChildren() {
      return null;
   }

   public void accept0(SparkVisitor v) {
      if (v.visit(this)) {
         this.acceptChild(v, this.typeExpr);
         this.acceptChild(v, this.values);
      }

   }
}
